## org.apache.lucene.search
Class SpanFilterResult

    java.lang.Object
      org.apache.lucene.search.SpanFilterResult

    public class SpanFilterResult

extends Object

The results of a SpanQueryFilter. Wraps the BitSet and the position information from the SpanQuery

WARNING: This API is experimental and might change in incompatible ways in the next release.

Nested Class Summary
`static class` `SpanFilterResult.PositionInfo`
`static class` `SpanFilterResult.StartEnd`

Constructor Summary
`SpanFilterResult(DocIdSet docIdSet, List<SpanFilterResult.PositionInfo> positions)`

Method Summary
`DocIdSet` `getDocIdSet()` Returns the docIdSet
`List<SpanFilterResult.PositionInfo>` `getPositions()` The first entry in the array corresponds to the first "on" bit.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpanFilterResult

    public SpanFilterResult(DocIdSet docIdSet,
                            List<SpanFilterResult.PositionInfo> positions)

Parameters:
  `docIdSet` - The DocIdSet for the Filter
  `positions` - A List of `SpanFilterResult.PositionInfo` objects

Method Detail

### getPositions

    public List<SpanFilterResult.PositionInfo> getPositions()

  The first entry in the array corresponds to the first "on" bit. Entries are increasing by document order

  Returns:
    A List of PositionInfo objects

### getDocIdSet

    public DocIdSet getDocIdSet()

  Returns the docIdSet